MCP Tools Reference: developerknowledge.googleapis.com

टूल: get_documents

इस टूल का इस्तेमाल करके, किसी एक दस्तावेज़ या एक बार में ज़्यादा से ज़्यादा 20 दस्तावेज़ों का पूरा कॉन्टेंट वापस पाया जा सकता है. दस्तावेज़ों के नाम, search_documents टूल को कॉल करने पर मिले नतीजों के parent फ़ील्ड से मिलने चाहिए. names पैरामीटर को दस्तावेज़ के नामों की सूची पर सेट करें.

यहां दिए गए सैंपल में, curl का इस्तेमाल करके get_documents एमसीपी टूल को चालू करने का तरीका बताया गया है.

Curl अनुरोध
                  
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_documents",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

इनपुट स्कीमा

get_documents के लिए स्कीमा का अनुरोध करें.

GetDocumentsRequest

JSON के काेड में दिखाना
{
  "names": [
    string
  ]
}
फ़ील्ड
names[]

string

ज़रूरी है. search_documents से मिले उन दस्तावेज़ों के नाम जिन्हें वापस पाना है. एक कॉल में ज़्यादा से ज़्यादा 20 दस्तावेज़ों को वापस पाया जा सकता है. दस्तावेज़, अनुरोध में मौजूद names के क्रम में ही दिखाए जाते हैं. फ़ॉर्मैट: documents/{uri_without_scheme} उदाहरण: documents/docs.cloud.google.com/storage/docs/creating-buckets

आउटपुट स्कीमा

get_documents के लिए रिस्पॉन्स स्कीमा.

GetDocumentsResponse

JSON के काेड में दिखाना
{
  "documents": [
    {
      object (Document)
    }
  ]
}
फ़ील्ड
documents[]

object (Document)

दस्तावेज़ों का अनुरोध किया गया.

दस्तावेज़

JSON के काेड में दिखाना
{
  "name": string,
  "uri": string,
  "content": string,
  "description": string,
  "title": string
}
फ़ील्ड
name

string

आइडेंटिफ़ायर. दस्तावेज़ का संसाधन नाम. फ़ॉर्मैट: documents/{uri_without_scheme} उदाहरण: documents/docs.cloud.google.com/storage/docs/creating-buckets

uri

string

सिर्फ़ आउटपुट के लिए. कॉन्टेंट का यूआरआई, जैसे कि https://cloud.google.com/storage/docs/creating-buckets.

content

string

सिर्फ़ आउटपुट के लिए. दस्तावेज़ का कॉन्टेंट, मार्कडाउन फ़ॉर्मैट में.

description

string

सिर्फ़ आउटपुट के लिए. दस्तावेज़ के बारे में जानकारी.

title

string

सिर्फ़ आउटपुट के लिए. दस्तावेज़ का टाइटल.

टूल एनोटेशन

बदलाव करने से जुड़ी जानकारी: ❌ | एक ही बार लागू होने से जुड़ी जानकारी: ✅ | सिर्फ़ पढ़ने से जुड़ी जानकारी: ✅ | ओपन वर्ल्ड से जुड़ी जानकारी: ❌